from typing import List
import db
import ghidra.program.model.address
import ghidra.util.database
import java.lang
import java.nio


class DBCachedObjectStoreFactory(object):





    class StringDBFieldCodec(ghidra.util.database.DBCachedObjectStoreFactory.AbstractDBFieldCodec):




        def __init__(self, __a0: java.lang.Class, __a1: java.lang.reflect.Field, __a2: int): ...



        def doLoad(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def doStore(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def encodeField(self, __a0: object) -> db.Field: ...

        def equals(self, __a0: object) -> bool: ...

        def getClass(self) -> java.lang.Class: ...

        def getFieldType(self) -> java.lang.Class: ...

        def getObjectType(self) -> java.lang.Class: ...

        def getValue(self, __a0: ghidra.util.database.DBAnnotatedObject) -> object: ...

        def getValueType(self) -> java.lang.Class: ...

        def hashCode(self) -> int: ...

        def load(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def notify(self) -> None: ...

        def notifyAll(self) -> None: ...

        @overload
        def store(self, __a0: unicode, __a1: db.StringField) -> None: ...

        @overload
        def store(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        @overload
        def store(self, __a0: object, __a1: db.Field) -> None: ...

        def toString(self) -> unicode: ...

        @overload
        def wait(self) -> None: ...

        @overload
        def wait(self, __a0: long) -> None: ...

        @overload
        def wait(self, __a0: long, __a1: int) -> None: ...






    class EnumDBByteFieldCodec(ghidra.util.database.DBCachedObjectStoreFactory.AbstractDBFieldCodec):




        def __init__(self, __a0: java.lang.Class, __a1: java.lang.reflect.Field, __a2: int): ...



        def encodeField(self, __a0: object) -> db.Field: ...

        def equals(self, __a0: object) -> bool: ...

        def getClass(self) -> java.lang.Class: ...

        def getFieldType(self) -> java.lang.Class: ...

        def getObjectType(self) -> java.lang.Class: ...

        def getValue(self, __a0: ghidra.util.database.DBAnnotatedObject) -> object: ...

        def getValueType(self) -> java.lang.Class: ...

        def hashCode(self) -> int: ...

        def load(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def notify(self) -> None: ...

        def notifyAll(self) -> None: ...

        @overload
        def store(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        @overload
        def store(self, __a0: java.lang.Enum, __a1: db.ByteField) -> None: ...

        @overload
        def store(self, __a0: object, __a1: db.Field) -> None: ...

        def toString(self) -> unicode: ...

        @overload
        def wait(self) -> None: ...

        @overload
        def wait(self, __a0: long) -> None: ...

        @overload
        def wait(self, __a0: long, __a1: int) -> None: ...






    class AbstractDBFieldCodec(object, ghidra.util.database.DBCachedObjectStoreFactory.DBFieldCodec):




        def __init__(self, __a0: java.lang.Class, __a1: java.lang.Class, __a2: java.lang.Class, __a3: java.lang.reflect.Field, __a4: int): ...



        def encodeField(self, __a0: object) -> db.Field: ...

        def equals(self, __a0: object) -> bool: ...

        def getClass(self) -> java.lang.Class: ...

        def getFieldType(self) -> java.lang.Class: ...

        def getObjectType(self) -> java.lang.Class: ...

        def getValue(self, __a0: ghidra.util.database.DBAnnotatedObject) -> object: ...

        def getValueType(self) -> java.lang.Class: ...

        def hashCode(self) -> int: ...

        def load(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def notify(self) -> None: ...

        def notifyAll(self) -> None: ...

        @overload
        def store(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        @overload
        def store(self, __a0: object, __a1: db.Field) -> None: ...

        def toString(self) -> unicode: ...

        @overload
        def wait(self) -> None: ...

        @overload
        def wait(self, __a0: long) -> None: ...

        @overload
        def wait(self, __a0: long, __a1: int) -> None: ...

        @property
        def fieldType(self) -> java.lang.Class: ...

        @property
        def objectType(self) -> java.lang.Class: ...

        @property
        def valueType(self) -> java.lang.Class: ...




    class ByteDBFieldCodec(ghidra.util.database.DBCachedObjectStoreFactory.AbstractDBFieldCodec):




        def __init__(self, __a0: java.lang.Class, __a1: java.lang.reflect.Field, __a2: int): ...



        def doLoad(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def doStore(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def encodeField(self, __a0: object) -> db.Field: ...

        def equals(self, __a0: object) -> bool: ...

        def getClass(self) -> java.lang.Class: ...

        def getFieldType(self) -> java.lang.Class: ...

        def getObjectType(self) -> java.lang.Class: ...

        def getValue(self, __a0: ghidra.util.database.DBAnnotatedObject) -> object: ...

        def getValueType(self) -> java.lang.Class: ...

        def hashCode(self) -> int: ...

        def load(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def notify(self) -> None: ...

        def notifyAll(self) -> None: ...

        @overload
        def store(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        @overload
        def store(self, __a0: int, __a1: db.ByteField) -> None: ...

        @overload
        def store(self, __a0: object, __a1: db.Field) -> None: ...

        def toString(self) -> unicode: ...

        @overload
        def wait(self) -> None: ...

        @overload
        def wait(self, __a0: long) -> None: ...

        @overload
        def wait(self, __a0: long, __a1: int) -> None: ...






    class RecAddress(java.lang.Record):




        def __init__(self, __a0: int, __a1: long): ...



        def equals(self, __a0: object) -> bool: ...

        @staticmethod
        def fromAddress(__a0: ghidra.program.model.address.Address) -> ghidra.util.database.DBCachedObjectStoreFactory.RecAddress: ...

        def getClass(self) -> java.lang.Class: ...

        def hashCode(self) -> int: ...

        def notify(self) -> None: ...

        def notifyAll(self) -> None: ...

        def offset(self) -> long: ...

        def spaceId(self) -> int: ...

        def toAddress(self, __a0: ghidra.program.model.address.AddressFactory) -> ghidra.program.model.address.Address: ...

        def toString(self) -> unicode: ...

        @overload
        def wait(self) -> None: ...

        @overload
        def wait(self, __a0: long) -> None: ...

        @overload
        def wait(self, __a0: long, __a1: int) -> None: ...






    class ShortDBFieldCodec(ghidra.util.database.DBCachedObjectStoreFactory.AbstractDBFieldCodec):




        def __init__(self, __a0: java.lang.Class, __a1: java.lang.reflect.Field, __a2: int): ...



        def doLoad(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def doStore(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def encodeField(self, __a0: object) -> db.Field: ...

        def equals(self, __a0: object) -> bool: ...

        def getClass(self) -> java.lang.Class: ...

        def getFieldType(self) -> java.lang.Class: ...

        def getObjectType(self) -> java.lang.Class: ...

        def getValue(self, __a0: ghidra.util.database.DBAnnotatedObject) -> object: ...

        def getValueType(self) -> java.lang.Class: ...

        def hashCode(self) -> int: ...

        def load(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def notify(self) -> None: ...

        def notifyAll(self) -> None: ...

        @overload
        def store(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        @overload
        def store(self, __a0: int, __a1: db.ShortField) -> None: ...

        @overload
        def store(self, __a0: object, __a1: db.Field) -> None: ...

        def toString(self) -> unicode: ...

        @overload
        def wait(self) -> None: ...

        @overload
        def wait(self, __a0: long) -> None: ...

        @overload
        def wait(self, __a0: long, __a1: int) -> None: ...






    class ByteArrayDBFieldCodec(ghidra.util.database.DBCachedObjectStoreFactory.AbstractDBFieldCodec):




        def __init__(self, __a0: java.lang.Class, __a1: java.lang.reflect.Field, __a2: int): ...



        def doLoad(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def doStore(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def encodeField(self, __a0: object) -> db.Field: ...

        def equals(self, __a0: object) -> bool: ...

        def getClass(self) -> java.lang.Class: ...

        def getFieldType(self) -> java.lang.Class: ...

        def getObjectType(self) -> java.lang.Class: ...

        def getValue(self, __a0: ghidra.util.database.DBAnnotatedObject) -> object: ...

        def getValueType(self) -> java.lang.Class: ...

        def hashCode(self) -> int: ...

        def load(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def notify(self) -> None: ...

        def notifyAll(self) -> None: ...

        @overload
        def store(self, __a0: List[int], __a1: db.BinaryField) -> None: ...

        @overload
        def store(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        @overload
        def store(self, __a0: object, __a1: db.Field) -> None: ...

        def toString(self) -> unicode: ...

        @overload
        def wait(self) -> None: ...

        @overload
        def wait(self, __a0: long) -> None: ...

        @overload
        def wait(self, __a0: long, __a1: int) -> None: ...






    class DBFieldCodec(object):








        def encodeField(self, __a0: object) -> db.Field: ...

        def equals(self, __a0: object) -> bool: ...

        def getClass(self) -> java.lang.Class: ...

        def getFieldType(self) -> java.lang.Class: ...

        def getObjectType(self) -> java.lang.Class: ...

        def getValue(self, __a0: ghidra.util.database.DBAnnotatedObject) -> object: ...

        def getValueType(self) -> java.lang.Class: ...

        def hashCode(self) -> int: ...

        def load(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def notify(self) -> None: ...

        def notifyAll(self) -> None: ...

        @overload
        def store(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        @overload
        def store(self, __a0: object, __a1: db.Field) -> None: ...

        def toString(self) -> unicode: ...

        @overload
        def wait(self) -> None: ...

        @overload
        def wait(self, __a0: long) -> None: ...

        @overload
        def wait(self, __a0: long, __a1: int) -> None: ...

        @property
        def fieldType(self) -> java.lang.Class: ...

        @property
        def objectType(self) -> java.lang.Class: ...

        @property
        def valueType(self) -> java.lang.Class: ...




    class IntDBFieldCodec(ghidra.util.database.DBCachedObjectStoreFactory.AbstractDBFieldCodec):




        def __init__(self, __a0: java.lang.Class, __a1: java.lang.reflect.Field, __a2: int): ...



        def doLoad(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def doStore(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def encodeField(self, __a0: object) -> db.Field: ...

        def equals(self, __a0: object) -> bool: ...

        def getClass(self) -> java.lang.Class: ...

        def getFieldType(self) -> java.lang.Class: ...

        def getObjectType(self) -> java.lang.Class: ...

        def getValue(self, __a0: ghidra.util.database.DBAnnotatedObject) -> object: ...

        def getValueType(self) -> java.lang.Class: ...

        def hashCode(self) -> int: ...

        def load(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def notify(self) -> None: ...

        def notifyAll(self) -> None: ...

        @overload
        def store(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        @overload
        def store(self, __a0: int, __a1: db.IntField) -> None: ...

        @overload
        def store(self, __a0: object, __a1: db.Field) -> None: ...

        def toString(self) -> unicode: ...

        @overload
        def wait(self) -> None: ...

        @overload
        def wait(self, __a0: long) -> None: ...

        @overload
        def wait(self, __a0: long, __a1: int) -> None: ...






    class VariantDBFieldCodec(ghidra.util.database.DBCachedObjectStoreFactory.AbstractDBFieldCodec):




        def __init__(self, __a0: java.lang.Class, __a1: java.lang.reflect.Field, __a2: int): ...



        def encodeField(self, __a0: object) -> db.Field: ...

        def equals(self, __a0: object) -> bool: ...

        def getClass(self) -> java.lang.Class: ...

        def getFieldType(self) -> java.lang.Class: ...

        def getObjectType(self) -> java.lang.Class: ...

        def getValue(self, __a0: ghidra.util.database.DBAnnotatedObject) -> object: ...

        def getValueType(self) -> java.lang.Class: ...

        def hashCode(self) -> int: ...

        def load(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def notify(self) -> None: ...

        def notifyAll(self) -> None: ...

        @overload
        def store(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        @overload
        def store(self, __a0: object, __a1: db.BinaryField) -> None: ...

        @overload
        def store(self, __a0: object, __a1: db.Field) -> None: ...

        def toString(self) -> unicode: ...

        @overload
        def wait(self) -> None: ...

        @overload
        def wait(self, __a0: long) -> None: ...

        @overload
        def wait(self, __a0: long, __a1: int) -> None: ...






    class PrimitiveCodec(object):
        ADDRESS: ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec = ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$3@f034066
        BOOL: ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec = ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@c5b3da7
        BOOL_ARR: ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec = ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayPrimitiveCodec@40c1ee8b
        BYTE: ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec = ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@65bea85c
        BYTE_ARR: ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec = ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$2@6f8b3790
        CHAR: ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec = ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@df4dd5a
        CHAR_ARR: ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec = ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayPrimitiveCodec@469614e2
        CODECS_BY_CLASS: java.util.Map = {<type 'java.lang.Integer'>: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@1861acf2, <type '[J'>: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayPrimitiveCodec@278490b7, <type 'java.lang.Long'>: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@2c50ca8e, <type 'java.lang.Boolean'>: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@c5b3da7, <type '[Z'>: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayPrimitiveCodec@40c1ee8b, <type 'ghidra.util.database.DBCachedObjectStoreFactory$RecRange'>: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$4@37779859, <type 'java.lang.String'>: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$1@6ca05150, <type '[S'>: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayPrimitiveCodec@ce2dbd6, <type 'java.lang.Short'>: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@7e5d925, <type '[I'>: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayPrimitiveCodec@4940721e, <type 'java.lang.Byte'>: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@65bea85c, <type '[Ljava.lang.String;'>: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayObjectCodec@95fd4df, <type 'ghidra.util.database.DBCachedObjectStoreFactory$RecAddress'>: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$3@f034066, <type '[B'>: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$2@6f8b3790, <type '[C'>: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayPrimitiveCodec@469614e2, <type 'java.lang.Character'>: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@df4dd5a}
        CODECS_BY_SELECTOR: java.util.Map = {0: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@c5b3da7, 1: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@65bea85c, 2: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@df4dd5a, 3: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@7e5d925, 4: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@1861acf2, 5: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@2c50ca8e, 6: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$1@6ca05150, 7: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayPrimitiveCodec@40c1ee8b, 8: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$2@6f8b3790, 9: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayPrimitiveCodec@469614e2, 10: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayPrimitiveCodec@ce2dbd6, 11: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayPrimitiveCodec@4940721e, 12: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayPrimitiveCodec@278490b7, 14: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayObjectCodec@95fd4df, 15: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$3@f034066, 16: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$4@37779859}
        INT: ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec = ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@1861acf2
        INT_ARR: ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec = ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayPrimitiveCodec@4940721e
        LONG: ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec = ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@2c50ca8e
        LONG_ARR: ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec = ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayPrimitiveCodec@278490b7
        RANGE: ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec = ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$4@37779859
        SHORT: ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec = ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@7e5d925
        SHORT_ARR: ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec = ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayPrimitiveCodec@ce2dbd6
        STRING: ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec = ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$1@6ca05150
        STRING_ARR: ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec = ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayObjectCodec@95fd4df







        def decode(self, __a0: java.nio.ByteBuffer) -> object: ...

        def encode(self, __a0: java.nio.ByteBuffer, __a1: object) -> None: ...

        def equals(self, __a0: object) -> bool: ...

        def getClass(self) -> java.lang.Class: ...

        @overload
        @staticmethod
        def getCodec(__a0: int) -> ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec: ...

        @overload
        @staticmethod
        def getCodec(__a0: java.lang.Class) -> ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec: ...

        def getSelector(self) -> int: ...

        def getValueClass(self) -> java.lang.Class: ...

        def hashCode(self) -> int: ...

        def notify(self) -> None: ...

        def notifyAll(self) -> None: ...

        def toString(self) -> unicode: ...

        @overload
        def wait(self) -> None: ...

        @overload
        def wait(self, __a0: long) -> None: ...

        @overload
        def wait(self, __a0: long, __a1: int) -> None: ...

        @property
        def selector(self) -> int: ...

        @property
        def valueClass(self) -> java.lang.Class: ...




    class BooleanDBFieldCodec(ghidra.util.database.DBCachedObjectStoreFactory.AbstractDBFieldCodec):




        def __init__(self, __a0: java.lang.Class, __a1: java.lang.reflect.Field, __a2: int): ...



        def doLoad(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def doStore(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def encodeField(self, __a0: object) -> db.Field: ...

        def equals(self, __a0: object) -> bool: ...

        def getClass(self) -> java.lang.Class: ...

        def getFieldType(self) -> java.lang.Class: ...

        def getObjectType(self) -> java.lang.Class: ...

        def getValue(self, __a0: ghidra.util.database.DBAnnotatedObject) -> object: ...

        def getValueType(self) -> java.lang.Class: ...

        def hashCode(self) -> int: ...

        def load(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def notify(self) -> None: ...

        def notifyAll(self) -> None: ...

        @overload
        def store(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        @overload
        def store(self, __a0: bool, __a1: db.BooleanField) -> None: ...

        @overload
        def store(self, __a0: object, __a1: db.Field) -> None: ...

        def toString(self) -> unicode: ...

        @overload
        def wait(self) -> None: ...

        @overload
        def wait(self, __a0: long) -> None: ...

        @overload
        def wait(self, __a0: long, __a1: int) -> None: ...






    class LongDBFieldCodec(ghidra.util.database.DBCachedObjectStoreFactory.AbstractDBFieldCodec):




        def __init__(self, __a0: java.lang.Class, __a1: java.lang.reflect.Field, __a2: int): ...



        def doLoad(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def doStore(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def encodeField(self, __a0: object) -> db.Field: ...

        def equals(self, __a0: object) -> bool: ...

        def getClass(self) -> java.lang.Class: ...

        def getFieldType(self) -> java.lang.Class: ...

        def getObjectType(self) -> java.lang.Class: ...

        def getValue(self, __a0: ghidra.util.database.DBAnnotatedObject) -> object: ...

        def getValueType(self) -> java.lang.Class: ...

        def hashCode(self) -> int: ...

        def load(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def notify(self) -> None: ...

        def notifyAll(self) -> None: ...

        @overload
        def store(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        @overload
        def store(self, __a0: long, __a1: db.LongField) -> None: ...

        @overload
        def store(self, __a0: object, __a1: db.Field) -> None: ...

        def toString(self) -> unicode: ...

        @overload
        def wait(self) -> None: ...

        @overload
        def wait(self, __a0: long) -> None: ...

        @overload
        def wait(self, __a0: long, __a1: int) -> None: ...






    class LongArrayDBFieldCodec(ghidra.util.database.DBCachedObjectStoreFactory.AbstractDBFieldCodec):




        def __init__(self, __a0: java.lang.Class, __a1: java.lang.reflect.Field, __a2: int): ...



        def encodeField(self, __a0: object) -> db.Field: ...

        def equals(self, __a0: object) -> bool: ...

        def getClass(self) -> java.lang.Class: ...

        def getFieldType(self) -> java.lang.Class: ...

        def getObjectType(self) -> java.lang.Class: ...

        def getValue(self, __a0: ghidra.util.database.DBAnnotatedObject) -> object: ...

        def getValueType(self) -> java.lang.Class: ...

        def hashCode(self) -> int: ...

        def load(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def notify(self) -> None: ...

        def notifyAll(self) -> None: ...

        @overload
        def store(self, __a0: List[long], __a1: db.BinaryField) -> None: ...

        @overload
        def store(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        @overload
        def store(self, __a0: object, __a1: db.Field) -> None: ...

        def toString(self) -> unicode: ...

        @overload
        def wait(self) -> None: ...

        @overload
        def wait(self, __a0: long) -> None: ...

        @overload
        def wait(self, __a0: long, __a1: int) -> None: ...






    class RecRange(java.lang.Record):




        def __init__(self, __a0: int, __a1: long, __a2: long): ...



        def equals(self, __a0: object) -> bool: ...

        @staticmethod
        def fromRange(__a0: ghidra.program.model.address.AddressRange) -> ghidra.util.database.DBCachedObjectStoreFactory.RecRange: ...

        def getClass(self) -> java.lang.Class: ...

        def hashCode(self) -> int: ...

        def max(self) -> long: ...

        def min(self) -> long: ...

        def notify(self) -> None: ...

        def notifyAll(self) -> None: ...

        def spaceId(self) -> int: ...

        def toRange(self, __a0: ghidra.program.model.address.AddressFactory) -> ghidra.program.model.address.AddressRange: ...

        def toString(self) -> unicode: ...

        @overload
        def wait(self) -> None: ...

        @overload
        def wait(self, __a0: long) -> None: ...

        @overload
        def wait(self, __a0: long, __a1: int) -> None: ...



    def __init__(self, __a0: ghidra.util.database.DBCachedDomainObjectAdapter): ...



    def equals(self, __a0: object) -> bool: ...

    def getClass(self) -> java.lang.Class: ...

    def getOrCreateCachedStore(self, __a0: unicode, __a1: java.lang.Class, __a2: ghidra.util.database.DBAnnotatedObjectFactory, __a3: bool) -> ghidra.util.database.DBCachedObjectStore: ...

    def getOrCreateTable(self, __a0: unicode, __a1: java.lang.Class, __a2: bool) -> db.Table: ...

    def hashCode(self) -> int: ...

    def notify(self) -> None: ...

    def notifyAll(self) -> None: ...

    def toString(self) -> unicode: ...

    @overload
    def wait(self) -> None: ...

    @overload
    def wait(self, __a0: long) -> None: ...

    @overload
    def wait(self, __a0: long, __a1: int) -> None: ...

